# Class GestureType

java.lang.Object
com.sparshui.GestureType

public class GestureType extends Object
This class is a place for the enum GestureType to stand. If you modify this class, you must also modify the corresponding enum in GestureType.h in the C++ Gesture Server. ALWAYS assign this enum value to a 4-byte network-ordered integer before attempting to transmit this value over the network. Adapted by Bob Hanson as an implementable class

Author:
  Jay Roltgen

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DBLCLK_EVENT`
`static final int`
`DBLCLK_GESTURE`
`static final int`
`DRAG_EVENT`
`static final int`
`DRAG_GESTURE`
`static final int`
`FLICK_EVENT`
`static final int`
`FLICK_GESTURE`
`int`
`iType`
`static final int`
`MULTI_POINT_DRAG_GESTURE`
`static final int`
`RELATIVE_DRAG_EVENT`
`static final int`
`RELATIVE_DRAG_GESTURE`
`static final int`
`ROTATE_EVENT`
`static final int`
`ROTATE_GESTURE`
`static final int`
`SPIN_EVENT`
`static final int`
`SPIN_GESTURE`
`String`
`sType`
`static final int`
`TOUCH_EVENT`
`static final int`
`TOUCH_GESTURE`
`static final int`
`ZOOM_EVENT`
`static final int`
`ZOOM_GESTURE`

## Constructor Summary

Constructors
Constructor
Description
`GestureType(int type)`
`GestureType(String type)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sType

public String sType

### iType

public int iType

### DRAG_GESTURE

public static final int DRAG_GESTURE

See Also:
  - Constant Field Values

### MULTI_POINT_DRAG_GESTURE

public static final int MULTI_POINT_DRAG_GESTURE

See Also:
  - Constant Field Values

### ROTATE_GESTURE

public static final int ROTATE_GESTURE

See Also:
  - Constant Field Values

### SPIN_GESTURE

public static final int SPIN_GESTURE

See Also:
  - Constant Field Values

### TOUCH_GESTURE

public static final int TOUCH_GESTURE

See Also:
  - Constant Field Values

### ZOOM_GESTURE

public static final int ZOOM_GESTURE

See Also:
  - Constant Field Values

### DBLCLK_GESTURE

public static final int DBLCLK_GESTURE

See Also:
  - Constant Field Values

### FLICK_GESTURE

public static final int FLICK_GESTURE

See Also:
  - Constant Field Values

### RELATIVE_DRAG_GESTURE

public static final int RELATIVE_DRAG_GESTURE

See Also:
  - Constant Field Values

### DRAG_EVENT

public static final int DRAG_EVENT

See Also:
  - Constant Field Values

### ROTATE_EVENT

public static final int ROTATE_EVENT

See Also:
  - Constant Field Values

### SPIN_EVENT

public static final int SPIN_EVENT

See Also:
  - Constant Field Values

### TOUCH_EVENT

public static final int TOUCH_EVENT

See Also:
  - Constant Field Values

### ZOOM_EVENT

public static final int ZOOM_EVENT

See Also:
  - Constant Field Values

### DBLCLK_EVENT

public static final int DBLCLK_EVENT

See Also:
  - Constant Field Values

### FLICK_EVENT

public static final int FLICK_EVENT

See Also:
  - Constant Field Values

### RELATIVE_DRAG_EVENT

public static final int RELATIVE_DRAG_EVENT

See Also:
  - Constant Field Values

## Constructor Details

### GestureType

public GestureType(String type)

### GestureType

public GestureType(int type)